%define prj_name gnome-scan
Name: libgnomescan
Version: 0.6
Release: alt1

Summary: C/GObject library provide scan features for the Gnome desktop
License: GPL
Group: System/Libraries
Url: http://www.gnome.org/projects/%prj_name
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: http://ftp.gnome.org/mirror/gnome.org/sources/%prj_name/%version/%prj_name-%version.tar.bz2

BuildPreReq: rpm-build-gnome gnome-common desktop-file-utils

BuildRequires: libgtk+2-devel glib2-devel libsane-devel libgegl-devel gtk-doc libglade-devel
BuildRequires: libgimp-devel gnome-doc-utils perl-XML-Parser libGConf-devel

%description
The Gnome Scan project aim to provide scan features every where in the Gnome desktop like print is. The Gnome Scan project consist of a C/GObject library upon which are build a standalone app and plugins for various apps including The Gimp. The application and plugins are called flegita. 

%package devel
Summary: Development files of %name
Group: Development/C
Requires: %name = %version-%release
%description devel
The Gnome Scan project aim to provide scan features every where in the Gnome desktop like print is. The Gnome Scan project consist of a C/GObject library upon which are build a standalone app and plugins for various apps including The Gimp. The application and plugins are called flegita. 
Development files of %name.

%package devel-doc
Summary: API documentation for %name
Group: Development/Documentation
%description devel-doc
The Gnome Scan project aim to provide scan features every where in the Gnome desktop like print is. The Gnome Scan project consist of a C/GObject library upon which are build a standalone app and plugins for various apps including The Gimp. The application and plugins are called flegita. 
API documentation for %name.

%package -n flegita
Summary: Gnome scan utility
Group: Graphics
Requires(post,postun): desktop-file-utils
Requires: %name = %version-%release
%description -n flegita
The Gnome Scan project aim to provide scan features every where in the Gnome desktop like print is. The Gnome Scan project consist of a C/GObject library upon which are build a standalone app and plugins for various apps including The Gimp. The application and plugins are called flegita. 
Gnome scan utility

%package -n gimp-plugin-flegita
Summary: Gnome scan plugin for Gimp
Group: Graphics
Requires: %name = %version-%release
Requires: gimp
%description -n gimp-plugin-flegita
The Gnome Scan project aim to provide scan features every where in the Gnome desktop like print is. The Gnome Scan project consist of a C/GObject library upon which are build a standalone app and plugins for various apps including The Gimp. The application and plugins are called flegita. 
Gnome scan plugin for Gimp

%prep
%setup -q -n %prj_name-%version

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
find %buildroot%_libdir -regex '.*\.l?a$' -delete

%find_lang --with-gnome %prj_name

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%post -n flegita
%update_menus
%update_desktopdb

%postun -n flegita
%clean_menus
%clean_desktopdb

%files -f %prj_name.lang
%_libdir/libgnomescan.so.*
%_libdir/%prj_name-1.0/*.so
%_datadir/%prj_name

%files devel
%_includedir/%prj_name-1.0
%_libdir/pkgconfig/gnome-scan.pc
%_libdir/libgnomescan.so

%files devel-doc
%_datadir/gtk-doc/html/%prj_name-1.0
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO

%files -n flegita
%_bindir/flegita
%_desktopdir/flegita.desktop
%_iconsdir/hicolor/scalable/apps/*.svg

%files -n gimp-plugin-flegita
%_libdir/gimp/2.0/plug-ins/flegita-gimp

%changelog
* Sat Oct 18 2008 Vladimir Lettiev <crux@altlinux.ru> 0.6-alt1
- Initial build for Sisyphus

